org.apache.calcite.avatica.proto

## Interface Responses.CreateStatementResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.CreateStatementResponse, Responses.CreateStatementResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.CreateStatementResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`
`Responses.RpcMetadata` `getMetadata()` `optional .RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `optional .RpcMetadata metadata = 3;`
`int` `getStatementId()` `optional uint32 statement_id = 2;`
`boolean` `hasMetadata()` `optional .RpcMetadata metadata = 3;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`

#### getStatementId

    int getStatementId()

`optional uint32 statement_id = 2;`

#### hasMetadata

    boolean hasMetadata()

`optional .RpcMetadata metadata = 3;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`optional .RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`optional .RpcMetadata metadata = 3;`